import junit.framework.TestCase;

public class PriceTest extends TestCase {
	private IPrice price;

	protected void setUp() {
		price = new Price(new Euro(2.00), new Euro(1.75), 2);
	}

	public void testBasePrice() {
		assertCharge(2.00, 1);
		assertCharge(2.00, 2);
	}

	public void testPricePerDay() {
		assertCharge(3.75, 3);
		assertCharge(5.50, 4);
	}

	public void assertCharge(double charge, int days) {
		assertEquals(new Euro(charge), price.getCharge(days));
	}
}